<?php
/*
 * ----------------------------------------------------------------------------
 * Index.php                                                         04/21/2004
 * This is the main menu and home page for your Virtual Advanced web bbs!
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get Include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.
require_once($includeDir . 'va-control.inc.php');   // Include the BBS control information.
require_once($includeDir . 'va-misc.inc.php');      // Include miscellaneous functions.
require_once($includeDir . 'va-stats.inc.php');     // Include BBS statistics.
require_once($includeDir . 'forms.inc.php');        // Uses the common html functions.

// Update hits counter...
$stats = GetStats();
$stats['webhitstotal']++;
$fileString = ReadStats();
$fileString = PutStats($fileString, $stats);
WriteStats($fileString);

// Determine if browswer is not HTML capable.
$url = parse_url(GetCurrentURL());
$pos = strrpos($url['path'], '/index.php');
$redirect = $url['scheme'] . '://' . $url['host'] . substr_replace($url['path'], '', $pos) . '/wap/index.php';

// Check whether the browser/gateway says it accepts WML.
if ((isset($_SERVER['HTTP_ACCEPT'])) &&
    ((strpos(strtolower($_SERVER['HTTP_ACCEPT']), 'vnd.wap.wml') > 0))) {
    $br = 'WML';
} else {
    if (isset($_SERVER['HTTP_USER_AGENT'])) {
        $browser = substr(trim($_SERVER['HTTP_USER_AGENT']), 0, 4);
    } else {
        $browser = '';
    }
    if ($browser == 'Noki' ||            // Nokia phones and emulators
        $browser == 'Eric' ||            // Ericsson WAP phones and emulators
        $browser == 'WapI' ||            // Ericsson WapIDE 2.0
        $browser == 'MC21' ||            // Ericsson MC218
        $browser == 'AUR ' ||            // Ericsson R320
        $browser == 'R380' ||            // Ericsson R380
        $browser == 'UP.B' ||            // UP.Browser
        $browser == 'WinW' ||            // WinWAP browser
        $browser == 'UPG1' ||            // UP.SDK 4.0
        $browser == 'upsi' ||            // another kind of UP.Browser ??
        $browser == 'QWAP' ||            // unknown QWAPPER browser
        $browser == 'Jigs' ||            // unknown JigSaw browser
        $browser == 'Java' ||            // unknown Java based browser
        $browser == 'Alca' ||            // unknown Alcatel-BE3 browser (UP based?)
        $browser == 'MITS' ||            // unknown Mitsubishi browser
        $browser == 'MOT-' ||            // unknown browser (UP based?)
        $browser == 'My S' ||            // unknown Ericsson devkit browser ?
        $browser == 'WAPJ' ||            // Virtual WAPJAG www.wapjag.de
        $browser == 'fetc' ||            // fetchpage.cgi Perl script from www.wapcab.de
        $browser == 'ALAV' ||            // yet another unknown UP based browser ?
        $browser == 'Wapa')              // another unknown browser (Web based "Wapalyzer"?)
    {
        $br = 'WML';
    } else {
        $br = 'HTML';
    }
}

if ($br == 'WML') {
    header('Location: ' . $redirect);
    die();
}
?>

<html>

<head>
<title><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Home</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="robots" content="index, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
<?php
if ($CONFIG['refresh'] > 0) {
    print '<meta http-equiv="refresh" content="' . $CONFIG['refresh'] . "\" />\n";
}
?>
<link rel="stylesheet" type="text/css" href="VADVPHP.css" />
</head>

<body background="images/home_background.gif">

<div align="center">
    <center>
    <table border="0" cellpadding="10" cellspacing="0" style="border-collapse: collapse" width="750" bgcolor="#FFFFFF">
        <tr>
            <td>
                <div align="center">
                    <center>
                    <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="730" bgcolor="#FFFFFF">
                        <tr>
                            <td valign="top">
                                <div align="center">
                                    <center>
                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" width="100%" height="50">
                                        <tr>
                                            <td width="550" bgcolor="#000080"><span class="bbsHeader"><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Home</span></td>
                                            <td width="180" bgcolor="#000080"><a href="http://www.vadvphp.com"><img border="0" src="images/vadv-php_blue.gif" alt="VADV-PHP" width="50" height="50" align="right"></a></td>
                                        </tr>
                                    </table>
                                    </center>
                                </div>
                                <div align="center">
                                    <center>
                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" width="100%">
                                        <tr>
                                            <td width="530" valign="top">
                                                <div align="center">
                                                    <center>
                                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" width="100%">
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="topic">Welcome, <?php print $USER['handle']; ?>!</p></td>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarBody" align="right"><?php print date("g:ia l, F j, Y"); ?></p></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top" colspan="2">
                                                                <p class="body"><span class="boldBody">Thank
                                                                you for visiting our Virtual Advanced webpage!</span><br />
                                                                This is the web based version of our BBS. With it
                                                                you will be able to access most areas of the
                                                                system using only your web browser. So, sit
                                                                back, relax and browse around!</p>
                                                                <p class="body"><span class="boldBody">
                                                                <?php
                                                                if (($USER['userno'] > 0) &&
                                                                    ($USER['userno'] != $CONFIG['guestacct'])) {
                                                                    print '<a class="body" href="forums/post-email.php?u=1&referer=' . urlencode(GetCurrentURL()) . '">' . $VA_MAIN['sysopname'] . '</a>';
                                                                } else {
                                                                    print $VA_MAIN['sysopname'];
                                                                }
                                                                print '<br />' . $VA_MAIN['bbsname'] . "\n";

                                                                if ($CONFIG['telnet'] != '') {
                                                                    print '<br /><a class="body" href="telnet://' . $CONFIG['telnet'] . '">telnet://' . $CONFIG['telnet'] . "</a>\n";
                                                                }
                                                                ?>
                                                                </span><br />&nbsp;</p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        if (($USER['userno'] > 0) &&
                                                            ($USER['userno'] != $CONFIG['guestacct'])) {
                                                            $msgcnt = GetEmailCount($USER['userno']);
                                                        ?>
                                                        <tr>
                                                            <td bgcolor="#000080" colspan="2">
                                                            <p class="topic">User Notices</p></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top" colspan="2">
                                                                <p class="pre"><br />
                                                                    <?php
                                                                    // New email check...
                                                                    if ($msgcnt['unread'] > 0) {
                                                                        print "<font color=\"#FF0000\">You have new email!</font><br />\n";
                                                                    } else {
                                                                        print "You have no new email.<br />\n";
                                                                    }

                                                                    // Oneliners check...
                                                                    $db = SetOnelinerInfo();
                                                                    $oneliners = SearchMessagesTo($db, $USER['userno']);
                                                                    if ($oneliners[0] > 0) {
                                                                        $msgPointer = GetMessagePointer($db, $USER['userno']);
                                                                        for ($x = 1; $x <= $oneliners[0]; $x++) {
                                                                            if ($msgPointer < $oneliners[$x]) {
                                                                                $msgInfo = GetMessageInfo($db, $oneliners[$x]);             // Get message information.
                                                                                print StripBBSCodes($msgInfo['subject']) . '<br />';        // Print message subject (oneliner).
                                                                                $msgInfo['deleted'] = 1;                                    // Mark the message for deletion.
                                                                                WriteMessageInfo($db, $oneliners[$x], $msgInfo);            // Write the new information.
                                                                                WriteMessagePointer($db, $USER['userno'], $oneliners[$x]);  // Update the message pointer.
                                                                            }
                                                                        }
                                                                    }
                                                                    ?>
                                                                    <br />
                                                                </p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        }
                                                        ?>
                                                        <tr>
                                                            <td bgcolor="#000080" colspan="2">
                                                                <p class="topic">Today&#39;s Callers</p></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top" colspan="2">
                                                                <?php $callers = GetTodaysCallers(); ?>
                                                                <br />
                                                                <div>
                                                                    <table border="0" cellspacing="0" cellpadding="0" width="530">
                                                                        <tr>
                                                                            <?php
                                                                            if ($callers[0] == 0) {
                                                                                print "<td align=\"left\" valign=\"top\"><font face=\"Courier New\" color=\"#000000\" size=\"2\">No callers today!</font></td>\n";
                                                                            } else {
                                                                            ?>
                                                                                <td align="left" valign="top">
                                                                                    <?php
                                                                                    for ($x = 1; $x <= $callers[0]; $x++) {
                                                                                        print "<font face=\"Courier New\" color=\"#000000\" size=\"2\">#" . $callers[$x]['userno'] . "</font><br />\n";
                                                                                    }
                                                                                    ?>
                                                                                </td>
                                                                                <td align="left" valign="top" width="240">
                                                                                    <?php
                                                                                    for ($x = 1; $x <= $callers[0]; $x++) {
                                                                                        print "<font face=\"Courier New\" color=\"#000000\" size=\"2\"><a href=\"misc/userinfo.php?u=" . $callers[$x]['userno'] . "\">" . $callers[$x]['handle'] . "</a></font><br />\n";
                                                                                    }
                                                                                    ?>
                                                                                </td>
                                                                                <td align="left" valign="top">
                                                                                    <?php
                                                                                    for ($x = 1; $x <= $callers[0]; $x++) {
                                                                                        print "<font face=\"Courier New\" color=\"#000000\" size=\"2\">" . $callers[$x]['channel'] . "</font><br />\n";
                                                                                    }
                                                                                    ?>
                                                                                </td>
                                                                                <td align="left" valign="top">
                                                                                    <?php
                                                                                    for ($x = 1; $x <= $callers[0]; $x++) {
                                                                                        print "<font face=\"Courier New\" color=\"#000000\" size=\"2\">" . $callers[$x]['time'] . "</font><br />\n";
                                                                                    }
                                                                                    ?>
                                                                                </td>
                                                                                <td align="left" valign="top">
                                                                                    <?php
                                                                                    for ($x = 1; $x <= $callers[0]; $x++) {
                                                                                        print "<font face=\"Courier New\" color=\"#000000\" size=\"2\">" . $callers[$x]['baudrate'] . "</font><br />\n";
                                                                                    }
                                                                                    ?>
                                                                                </td>
                                                                            <?php
                                                                            }
                                                                            ?>
                                                                        </tr>
                                                                    </table>
                                                                </div>
                                                                <br />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#000080" colspan="2">
                                                                <p class="topic">Who&#39;s Online?</p></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top" colspan="2">
                                                                <?php
                                                                $who = array();
                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                    $who[$x] = GetControl($x);
                                                                }
                                                                ?>
                                                                <font face="Courier New" size="2">
                                                                <br />
                                                                <div>
                                                                    <table border="0" width="530" cellspacing="0" cellpadding="0">
                                                                        <tr>
                                                                            <td align="left" valign="top"><b><font face="Courier New" color="#000080" size="2">Ch #</font></b></td>
                                                                            <td align="left" valign="top"><b><font face="Courier New" color="#000080" size="2">Handle</font></b></td>
                                                                            <td align="left" valign="top"><b><font face="Courier New" color="#000080" size="2">Action</font></b></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="left" valign="top">
                                                                                <?php
                                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                                    print "<font face=\"Courier New\" color=\"#000000\" size=\"2\">" . $x . "&nbsp;</font><br />\n";
                                                                                }
                                                                                ?>
                                                                                </font>
                                                                            </td>
                                                                            <td align="left" valign="top" width="240">
                                                                                <?php
                                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                                    print "<font face=\"Courier New\" color=\"#000000\" size=\"2\"><a href=\"misc/userinfo.php?u=" . $who[$x]['userno'] . "\">" . $who[$x]['handle'] . "</a>&nbsp;</font><br />\n";
                                                                                }
                                                                                ?>
                                                                                </font>
                                                                            </td>
                                                                            <td align="left" valign="top">
                                                                                <?php
                                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                                    print "<font face=\"Courier New\" color=\"#000000\" size=\"2\">" . $who[$x]['action'] . "&nbsp;</font><br />\n";
                                                                                }
                                                                                ?>
                                                                                </font>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </div>
                                                                </font>
                                                            </td>
                                                        </tr>
                                                        <!-- Cell template for future use.
                                                        <tr>
                                                            <td bgcolor="#000080" valign="top" colspan="2">
                                                                <p class="infoBarTopic">Welcome!</td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top">&nbsp;</td>
                                                        </tr>
                                                        End cell template. -->
                                                    </table>
                                                    </center>
                                                </div>
                                            </td>
                                            <td width="200" height="100%" valign="top">
                                                <div align="center">
                                                    <center>
                                                    <table border="1" cellpadding="4" cellspacing="0" style="border-collapse: collapse" bordercolor="#FFFFFF" width="100%" height="100%" bgcolor="#0066CC">
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarTopic">Available Areas</p></td>
                                                        </tr>
                                                        <?php
                                                        // Email menu option
                                                        if (($USER['userno'] > 0) &&
                                                            ($USER['userno'] != $CONFIG['guestacct'])) {
                                                            $msgcnt = GetEmailCount($USER['userno']);
                                                        ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="./forums/email-dispmsg.php">Check Your Email</a><?php if ($msgcnt['unread'] > 0) print " <span class=\"notify\">(!)</span>"; ?></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        // End Email menu option
                                                        }
                                                        ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="./forums/forum-disptopics.php">Message Forums</a></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        if (is_file($VA_SYSPATHS['text'] . '/postitnt.cfg')) {
                                                        ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="./misc/post-it_network.php">Post-It! Network</a></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        }
                                                        ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="./forums/files-disptopics.php">File Area</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="./misc/who.php">Who&#39;s Online</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="./misc/todays_callers.php">Today&#39;s Callers</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="./misc/userlist.php">User Listing</a></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        // Edit account option
                                                        if (($USER['userno'] > 0) &&
                                                            ($USER['userno'] != $CONFIG['guestacct'])) {
                                                        ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="./misc/edituser.php">Edit Your Account</a></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        // End Edit account option
                                                        }
                                                        ?>
                                                        <?php
                                                        // VConfig menu option
                                                        if ($USER['securitylevel'] >= 255) {
                                                        ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="notify" href="vconfig/vconfig.php">VADV-PHP VConfig</a></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        // End VConfig menu option
                                                        }
                                                        ?>
                                                        <?php
                                                        // VADV-PHP Log menu option
                                                        if ($USER['securitylevel'] >= 255) {
                                                        ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="notify" href="misc/displog.php">View VADV-PHP Log</a></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        // End VADV-PHP Log menu option
                                                        }
                                                        ?>
                                                        <tr>
                                                            <td bgcolor="#FFFFFF" height="5">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarTopic">Login</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <?php
                                                                if (($USER['userno'] == 0) ||
                                                                    ($USER['userno'] == $CONFIG['guestacct'])) {
                                                                    print "<p class=\"infoBarBody\">Login here using your BBS account information! If you do not have an account, ";
                                                                    if ($VA_MAIN['newuserpw'] == md5(strtoupper(''))) {
                                                                        print "you may <a class=\"infoBarBody\" href=\"bbsregister.php\">create an account</a>.";
                                                                    } else {
                                                                        print "connect to the BBS to create one.";
                                                                    }
                                                                    print "</p>";
                                                                }
                                                                ?>
                                                                <?php LoginBox(); ?>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#FFFFFF" height="5">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarTopic">Web-Users</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">Here are some of the users currently using this web-bbs!</p>
                                                                <?php
                                                                // Get number of guests...
                                                                $totalGuests = 0;
                                                                for ($x = 1; $x <= $VA_USERS[0]; $x++) {
                                                                    if (($VA_USERS[$x]['userno'] == 0) ||
                                                                        ($VA_USERS[$x]['userno'] == $CONFIG['guestacct'])) {
                                                                        $totalGuests++;
                                                                    }
                                                                }
                                                                
                                                                // Display guest information...
                                                                if ($totalGuests > 0) {
                                                                    if ($totalGuests == 1) {
                                                                        print "<span class=\"boldInfoBar\">- Guest</span><span class=\"infoBarBody\"></span><br />\n";
                                                                    } else {
                                                                        print '<span class="boldInfoBar">- Guests</span><span class="infoBarBody"> (' . $totalGuests . ")</span><br />\n";
                                                                    }
                                                                }

                                                                $totalUsers = $VA_USERS[0] - $totalGuests;
                                                                $foundUsers = 0;
                                                                // Display up to ten users...
                                                                for ($x = 1; (($foundUsers < $totalUsers) && ($foundUsers <= 10)); $x++) {
                                                                    if (($VA_USERS[$x]['userno'] != 0) &&
                                                                        ($VA_USERS[$x]['userno'] != $CONFIG['guestacct'])) {
                                                                        print '<span class="boldInfoBar">- </span><a class="infoBarBody" href="misc/userinfo.php?u=' . $VA_USERS[$x]['userno'] . '"> ' . $VA_USERS[$x]['handle'] . "</a><br />\n";
                                                                        $foundUsers++;
                                                                    }
                                                                }
                                                                ?>
                                                                <br />
                                                                <span class="infoBarBody">Total online users: <?php print $VA_USERS[0]; ?></span>
                                                                <?php
                                                                // View webusers option
                                                                if ($USER['securitylevel'] >= 255) {
                                                                ?>
                                                                <br /><a class="infoBarBody" href="./misc/webuserlist.php">View All Web-Users</a>
                                                                <?php
                                                                // End view webusers option
                                                                }
                                                                ?>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#FFFFFF" height="5">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarTopic">Mobile VADV-PHP</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">This website is enhanced for mobile devices! Just point your web-enabled mobile device to this URL.</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#FFFFFF" height="100%">
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    </center>
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                    </center>
                                </div>
                                <?php GlobalFooter(); ?>
                                <?php print '<p align="center"><span class="boldBody">.: ' . number_format($stats['webhitstotal']) . ' :.</span></p>'; ?>
                            </td>
                        </tr>
                    </table>
                    </center>
                </div>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
