<?php
/*
 * ----------------------------------------------------------------------------
 * Todays_Callers.php                                                04/21/2004
 * This script will display the users who have called the BBS for today's date.
  * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.
require_once($includeDir . 'va-misc.inc.php');      // Include miscellaneous functions.

$callers  = GetTodaysCallers();              // Get today's callers.
$netcalls = GetNetworkCallers();            // Get today's network callers.
?>
<html>

<head>
<title>[Today&#39;s Callers] - <?php print $VA_MAIN['bbsname']; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="robots" content="noindex, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
<style>
<!--
    a:active           { color: #FF0000 }
    a:link             { color: #0000D0 }
    a:visited          { color: #0000D0 }
    a:hover            { color: #FF0000 }
    a.boldBody:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    a.boldBody:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .body              { font-family: Courier New;               font-size: 10pt; color: #FFFFFF }
    .boldBody          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .footer            { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF }
    .header            { font-family: Courier New;               font-size: 12pt; color: #FFFFFF; font-weight: bold }
    .nocalls           { font-family: Courier New;               font-size: 10pt; color: #FFFF52; }
    .title             { font-family: Verdana, Arial, Helvetica; font-size: 14pt; color: #FFFF00; font-weight:bold; font-style:italic }
-->
</style>
</head>

<body bgcolor="#000000">

<p class="title" align="right">Virtual Advanced Today&#39;s Callers
<hr color="#525552">

<div align="center">
    <center>
    <table border="0" cellspacing="10" cellpadding="0">
        <tr>
            <td align="center" valign="top" width="80" style="border-bottom: 1px solid #525552"><b>
                <span class="header">Call #</span></td>
            <td align="left" valign="top" width="80" style="border-bottom: 1px solid #525552"><b>
                <span class="header">User #</span></td>
            <td align="left" valign="top" width="230" style="border-bottom: 1px solid #525552"><b>
                <span class="header">Handle</span></td>
            <td align="left" valign="top" width="40" style="border-bottom: 1px solid #525552"><b>
                <span class="header">Ch #</span></td>
            <td align="left" valign="top" width="60" style="border-bottom: 1px solid #525552"><b>
                <span class="header">Time</span></td>
            <td align="left" valign="top" width="80" style="border-bottom: 1px solid #525552"><b>
                <span class="header">Baud</span></td>
        </tr>
<?php
if ($callers[0] <> 0) {
?>
        <tr>
            <td class="body" align="right" valign="top">
<?php
    for ($x = 1; $x <= $callers[0]; $x++) {
        print "<font color=\"#FFFF52\">" . $callers[$x]['callno'] . "</font><font color=\"#52FF52\">:</font><br />\n";
    }
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
    for ($x = 1; $x <= $callers[0]; $x++) {
        print "<font color=\"#5255FF\">#" . $callers[$x]['userno'] . "</font><br />\n";
    }
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
    for ($x = 1; $x <= $callers[0]; $x++) {
        print "<a href=\"userinfo.php?u=" . $callers[$x]['userno'] . "\"><font color=\"#52FF52\">" . $callers[$x]['handle'] . "</font></a><br />\n";
    }
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
    for ($x = 1; $x <= $callers[0]; $x++) {
        print "<font color=\"#52FFFF\">" . $callers[$x]['channel'] . "</font><br />\n";
    }
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
    for ($x = 1; $x <= $callers[0]; $x++) {
        print "<font color=\"#FF5552\">" . $callers[$x]['time'] . "</font><br />\n";
    }
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
    for ($x = 1; $x <= $callers[0]; $x++) {
        print "<font color=\"#52FF52\">" . $callers[$x]['baudrate'] . "</font><br />\n";
    }
?>
            </td>
        </tr>
<?php
}

if ($netcalls[0] <> 0) {
?>
        <tr>
            <td class="body" align="right" valign="top" width="80">
<?php
    for ($x = 1; $x <= $netcalls[0]; $x++) {
        print "<font color=\"#FFFF52\">" . $netcalls[$x]['callno'] . "</font><font color=\"#52FF52\">:</font><br />\n";
    }
?>
            </td>
            <td class="body" align="left" valign="top" width="80">
<?php
    for ($x = 1; $x <= $netcalls[0]; $x++) {
        print "<font color=\"#FF5552\">@" . $netcalls[$x]['nodeno'] . "</font><br />\n";
    }
?>
            </td>
            <td class="body" align="left" valign="top" width="230">
<?php
    for ($x = 1; $x <= $netcalls[0]; $x++) {
        print "<font color=\"#52FF52\">" . $netcalls[$x]['network'] . "</font><br />\n";
    }
?>
            </td>
            <td class="body" align="left" valign="top" width="40">
<?php
    for ($x = 1; $x <= $netcalls[0]; $x++) {
        print "<font color=\"#52FFFF\">" . $netcalls[$x]['channel'] . "</font><br />\n";
    }
?>
            </td>
            <td class="body" align="left" valign="top" width="60">
<?php
    for ($x = 1; $x <= $netcalls[0]; $x++) {
        print "<font color=\"#FF5552\">" . $netcalls[$x]['time'] . "</font><br />\n";
    }
?>
            </td>
        </tr>
<?php
}
?>
    </table>
    </center>
</div>

<?php GlobalFooter(1); ?>

</body>

</html>
