<?php
/*
 * ----------------------------------------------------------------------------
 * UserEditor.php                                                    05/03/2004
 * This script will allow the sysop to edit all of the specified user's
 * information, preferences and statistics.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Include main configuration.
require_once($includeDir . 'va-userfile.inc.php');  // Include user information.
require_once($includeDir . 'va-networks.inc.php');  // Include network information.

if (($USER['userno'] == 0) ||
    ($USER['userno'] == $CONFIG['guestacct']) ||
    ($USER['securitylevel'] == 0)) {
    die(VA_LoginError());
}
if ($USER['securitylevel'] < 255) {
    die('<br /><h4>You do not have access to this page. Press the BACK button on your browser.</h4>');
}

if (isset($_GET['u'])) {
    $userno = intval($_GET['u']);
} else {
    $userno = 1;
}

if ((isset($_GET['delete'])) && ($_GET['delete'] == 1)) {
    DeleteUser($userno);
    RedirectUser(GetCurrentURL(0) . '?u=' . $userno);
}

$user = GetUser($userno);
$VA_NETWORKS = GetNetworkInfo();

?>
<html>

<head>
<title>[VADV-PHP SysOp Editor] - <?php print $VA_MAIN['bbsname']; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="robots" content="noindex, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
<link rel="stylesheet" type="text/css" href="./../vconfig/VCONFIG.css" />
</head>

<body link="#FFFFFF" vlink="#FFFFFF" bgcolor="#000000">

<script language="javaScript">
<!--
function validate(form) {
    if (form.bdayyear.value.length < 4) {
        alert("The birthday year must be in a four-digit format.");
        form.bdayyear.focus();
        return false;
    }
}
//-->
</script>

<div align="center">
    <center>
    <table border="1" cellpadding="5" cellspacing="0" width="750" bgcolor="#000080" bordercolor="#FFFFFF">
        <tr>
            <td>
                <table border="0" cellspacing="0" style="border-collapse: collapse" cellpadding="5" bgcolor="#000080" width="100%">
                    <tr>
                        <td>
                        <div align="center">
                            <center>
                            <table border="0" style="border-collapse: collapse" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td height="40" colspan="2">
                                        <p class="heading" align="center">SysOp User Editor: <?php print $user['handle']; ?></p>
                                    </td>
                                </tr>
                            </table>
                            <table border="0" style="border-collapse: collapse" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td height="40" colspan="2">
                                        <p align="center" class="footer">
                                        <a class="footer" href="../index.php">Return to main BBS page.</a><br />
                                        <a class="footer" href="userlist.php">Return to BBS user listing.</a>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" height="25">
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                            <tr>
                                                <td align="left"><?php
                                                                 if ($user['userno'] > 1) {
                                                                     print '<a class="subHeading" href="usereditor.php?u=' . ($user['userno'] - 1) . '">Previous User</a>';
                                                                 }
                                                                 ?></td>
                                                <td align="right"><?php
                                                                  if ($user['userno'] < GetUserCount()) {
                                                                      print '<a class="subHeading" href="usereditor.php?u=' . ($user['userno'] + 1) . '">Next User</a>';
                                                                  }
                                                                  ?></td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <form name="usereditor" method="post" action="usereditor_process.php" onsubmit="return validate(usereditor)">
                                    <input type="hidden" name="process" value="1">
                                    <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                                    <input type="hidden" name="userno" value="<?php print $user['userno']; ?>">
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Personal Information</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">User Number:</td>
                                        <td class="pre"><?php print $user['userno']; ?></td>
                                    </tr>
                                    <?php
                                    if ($userno > 1) {
                                    ?>
                                    <tr>
                                        <td class="return"><a class="return" href="<?php print GetCurrentUrl(0) . '?u=' . $userno . '&delete=1'; ?>">Delete this User</a></td>
                                    </tr>
                                    <?php
                                    }
                                    ?>
                                    <tr>
                                        <td class="pre">Handle:</td>
                                        <td><input type="text" name="handle" size="40" maxlength="40" value="<?php print $user['handle']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Real Name:</td>
                                        <td><input type="text" name="realname" size="40" maxlength="40" value="<?php print $user['realname']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Address:</td>
                                        <td><input type="text" name="address" size="40" maxlength="40" value="<?php print $user['address']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">City:</td>
                                        <td><input type="text" name="city" size="32" maxlength="32" value="<?php print $user['city']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">State:</td>
                                        <td><input type="text" name="state" size="3" maxlength="3" value="<?php print $user['state']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Zip Code:</td>
                                        <td><input type="text" name="zipcode" size="10" maxlength="10" value="<?php print $user['zipcode']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Phone Number:</td>
                                        <td><input type="text" name="phone1" size="12" maxlength="12" value="<?php print $user['phone1']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Data/Fax Number:</td>
                                        <td><input type="text" name="phone2" size="12" maxlength="12" value="<?php print $user['phone2']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Birthday (MM/DD/YYYY):</td>
                                        <td><input type="text" name="bdaymonth" size="2" maxlength="2" value="<?php print $user['bdaymonth']; ?>">/<input type="text" name="bdayday" size="2" maxlength="2" value="<?php print $user['bdayday']; ?>">/<input type="text" name="bdayyear" size="4" maxlength="4" value="<?php print $user['bdayyear']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Change Password</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">New Password:</td>
                                        <td><input type="password" name="password" size="8" maxlength="8"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Verify Password:</td>
                                        <td><input type="password" name="verify" size="8" maxlength="8"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Other Settings</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Last Online:</td>
                                        <td class="pre"><?php
                                                        $last = strtotime($user['laston']);
                                                        $laston = date("m/d/Y", $last);
                                                        $days = CalcDayNumber(date("m"), date("d"), date("Y")) - CalcDayNumber(date("m", $last), date("d", $last), date("Y", $last));
                                                        print $laston . ' (' . $days . ' days ago)';
                                                        ?></td>
                                    </tr>

                                    </tr>
                                    <tr>
                                        <td class="pre">Security Level:</td>
                                        <td><input type="text" name="securitylevel" size="3" maxlength="3" value="<?php print $user['securitylevel']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Time per Day:</td>
                                        <td><input type="text" name="maxtime" size="4" maxlength="4" value="<?php print $user['maxtime']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Time Bank:</td>
                                        <td><input type="text" name="timebank" size="5" maxlength="5" value="<?php print $user['timebank']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Credits:</td>
                                        <td><input type="text" name="credits" size="8" maxlength="8" value="<?php print $user['credits']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">User Flags:</td>
                                        <td><input type="text" name="flags" size="40" maxlength="26" value="<?php print $user['flags']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Access Flags:</td>
                                        <td><input type="text" name="accflags" size="40" maxlength="26" value="<?php print $user['accflags']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Page Break Length:</td>
                                        <td><input type="text" name="pagebreak" size="3" maxlength="3" value="<?php print $user['pagebreak']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Video Mode:</td>
                                        <td><input type="text" name="videomode" size="1" maxlength="1" value="<?php print $user['videomode']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Default Xfer Protocol:</td>
                                        <td><input type="text" name="protocol" size="1" maxlength="1" value="<?php print $user['protocol']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Sorted File Listing</td>
                                        <td><input type="checkbox" name="sortfilelst" value="1" <?php
                                                                                                if ($user['sortfilelst'] == 1) {
                                                                                                    print "checked";
                                                                                                }
                                                                                                ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Ratio Exempt</td>
                                        <td><input type="checkbox" name="ratioexempt" value="1" <?php
                                                                                                if ($user['ratioexempt'] == 0) {
                                                                                                    print "checked";
                                                                                                }
                                                                                                ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Verify Birthday</td>
                                        <td><input type="checkbox" name="verifybday" value="1" <?php
                                                                                               if ($user['verifybday'] == 1) {
                                                                                                   print "checked";
                                                                                                }
                                                                                                ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Forward Email Address:</td>
                                        <td>
                                            <input type="text" name="mailfwd" size="12" value="<?php if (($user['mailfwdflag'] == 1) && ($user['mailfwduserno'] != '')) {print $user['mailfwduserno'] . '@' . $user['mailfwdnode'];} else if (($user['mailfwdflag'] == 1) && ($user['mailfwdhandle'] != '')) {print $user['mailfwdhandle'] . '@' . $user['mailfwdnode'];} ?>">
                                            <select name="mailfwdnetno" size="1">
                                                <option <?php
                                                        if (($user['mailfwdflag'] == 1) &&
                                                            ($user['mailfwdnetno'] == 1) &&
                                                            ($user['mailfwdnetnode'] == $VA_NEWORKS[1]['settings']['systemid'])) {
                                                            print 'selected ';
                                                        }
                                                        ?> value="0">Local</option>
                                                <?php
                                                    $pos = 0;
                                                    $cnt = 0;
                                                    $net = array();
                                                    for ($x = 1; $pos < $VA_NETWORKS[0]; $x++) {
                                                        if (isset($VA_NETWORKS[$x])) {
                                                            if (($VA_NETWORKS[$x]['nettype'] != 2) &&   // If not a VLive network
                                                                 ($VA_NETWORKS[$x]['nettype'] != 5)) {  // If not a QWK network
                                                                if (($user['securitylevel'] >= 255) ||
                                                                    ($VA_NETWORKS[$x]['accflag'] == '') ||                                  // If a access flag is set..
                                                                    (strpos($user['flags'], $VA_NETWORKS[$x]['accflag']) !== FALSE)) {      // If the user has the flag
                                                                    switch ($VA_NETWORKS[$x]['nettype']) {
                                                                        case 1:
                                                                            $type = 'VirtualNET';
                                                                            break;
                                                                        case 3:
                                                                            $type = 'Internet';
                                                                            break;
                                                                        case 4:
                                                                            $type = 'FIDOnet';
                                                                            break;
                                                                        case 9:
                                                                            $type = 'WWIVnet';
                                                                            break;
                                                                        default:
                                                                            $type = 'Unknown';
                                                                            break;
                                                                    }
                                                                    $net[$cnt]['netno']    = $VA_NETWORKS[$x]['netno'];
                                                                    $net[$cnt]['desc']     = $VA_NETWORKS[$x]['desc'];
                                                                    $net[$cnt]['sortdesc'] = strtolower($VA_NETWORKS[$x]['desc']);
                                                                    $net[$cnt]['type']     = $type;
                                                                    $cnt++;
                                                                }
                                                            }
                                                            $pos++;
                                                        }
                                                    }
                                                    // Organize the array alphabetically by description.
                                                    $sortarr = array();
                                                    foreach ($net as $row) {
                                                        $sortarr[] = $row['sortdesc'];
                                                    }
                                                    array_multisort($sortarr, $net);

                                                    // Display the listing.
                                                    for ($x = 0; $x < count($net); $x++) {
                                                        if (($user['mailfwdflag'] == 1) && ($user['mailfwdnetno'] == $net[$x]['netno'])) {
                                                            print '<option selected value="' . $net[$x]['netno'] . '">' . $net[$x]['desc'] . ' (' . $net[$x]['type'] . ")</option>\n";
                                                        } else {
                                                            print '<option value="' . $net[$x]['netno'] . '">' . $net[$x]['desc'] . ' (' . $net[$x]['type'] . ")</option>\n";
                                                        }
                                                    }
                                                ?>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Extra Value #1:</td>
                                        <td><input type="text" name="extra1" size="12" maxlength="12" value="<?php print $user['extra1']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Extra Value #2:</td>
                                        <td><input type="text" name="extra2" size="12" maxlength="12" value="<?php print $user['extra2']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Extra Value #3:</td>
                                        <td><input type="text" name="extra3" size="12" maxlength="12" value="<?php print $user['extra3']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Extra Value #4:</td>
                                        <td><input type="text" name="extra4" size="12" maxlength="12" value="<?php print $user['extra4']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Extra Value #5:</td>
                                        <td><input type="text" name="extra5" size="12" maxlength="12" value="<?php print $user['extra5']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Extra Value #6:</td>
                                        <td><input type="text" name="extra6" size="12" maxlength="12" value="<?php print $user['extra6']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Extra Value #7:</td>
                                        <td><input type="text" name="extra7" size="12" maxlength="12" value="<?php print $user['extra7']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Extra Value #8:</td>
                                        <td><input type="text" name="extra8" size="12" maxlength="12" value="<?php print $user['extra8']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Optional User Comment:</td>
                                        <td><input type="text" name="comment" size="16" maxlength="16" value="<?php print $user['comment']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">User Statistics</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Total Number of Calls:</td>
                                        <td><input type="text" name="totalcalls" size="8" maxlength="8" value="<?php print $user['totalcalls']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Total Time Online:</td>
                                        <td><input type="text" name="totaltime" size="8" maxlength="8" value="<?php print $user['totaltime']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Uploaded Files:</td>
                                        <td><input type="text" name="uplfiles" size="8" maxlength="8" value="<?php print $user['uplfiles']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Uploaded KB:</td>
                                        <td><input type="text" name="uplkb" size="8" maxlength="8" value="<?php print $user['uplkb']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Downloaded Files:</td>
                                        <td><input type="text" name="dlfiles" size="8" maxlength="8" value="<?php print $user['dlfiles']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Downloaded KB:</td>
                                        <td><input type="text" name="dlkb" size="8" maxlength="8" value="<?php print $user['dlkb']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Number of Posts:</td>
                                        <td><input type="text" name="totalposts" size="8" maxlength="8" value="<?php print $user['totalposts']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Number of Emails:</td>
                                        <td><input type="text" name="totalemail" size="8" maxlength="8" value="<?php print $user['totalemail']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25" style="border-top:1px solid #C0C0C0;">
                                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                <tr>
                                                    <td align="left"><?php
                                                                     if ($user['userno'] > 1) {
                                                                         print '<a class="subHeading" href="usereditor.php?u=' . ($user['userno'] - 1) . '">Previous User</a>';
                                                                     }
                                                                     ?></td>
                                                    <td align="right"><?php
                                                                      if ($user['userno'] < GetUserCount()) {
                                                                          print '<a class="subHeading" href="usereditor.php?u=' . ($user['userno'] + 1) . '">Next User</a>';
                                                                      }
                                                                      ?></td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre" colspan="2">
                                            <p align="center">
                                            <input type="submit" value="Apply" name="submit">
                                            <input type="reset" value="Reset" name="submit">
                                            </p>
                                        </td>
                                    </tr>
                                </form>
                                <tr>
                                    <td colspan="2" height="25"></td>
                                </tr>
                                <tr>
                                    <td height="40" colspan="2">
                                        <p align="center" class="footer">
                                        <a class="footer" href="../index.php">Return to main BBS page.</a><br />
                                        <a class="footer" href="userlist.php">Return to BBS user listing.</a>
                                        </p>
                                    </td>
                                </tr>
                            </table>
                            </center>
                        </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
