<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_VADV-PHP.php                                              04/27/2004
 * VADV-PHP Configuration
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.

if (($USER['userno'] == 0) ||
    ($USER['userno'] == $CONFIG['guestacct']) ||
    ($USER['securitylevel'] == 0)) {
    die(VA_LoginError());
}
if ($USER['securitylevel'] < 255) {
    $log = 'VConfig Error!  "' . $USER['handle'] . '" - Attempted Unauthorized VConfig Entry';
    WriteLog('vadv-php.log', $log);
    RedirectUser('../index.php');
}

?>
<html>

<head>
<title>VADV-PHP VConfig (VADV-PHP Configuration)</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="robots" content="noindex, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
<link rel="stylesheet" type="text/css" href="VCONFIG.css">
<script language="JavaScript">
<!-- Hide this script from old browsers --
    function HelpWindow(bmark) {
        var url = "vconfig_vadv-php_help.php#" + bmark;
        window.open(url, "new", "toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, width=350, height=450");
    }
// -- End Hiding Here -->
</script>
</head>

<body bgcolor="#000000">

<div align="center">
    <center>
    <table border="1" cellpadding="5" cellspacing="0" width="750" bgcolor="#000080" bordercolor="#FFFFFF">
        <tr>
            <td>
                <table border="0" cellspacing="0" style="border-collapse: collapse" cellpadding="5" bgcolor="#000080" width="100%">
                    <tr>
                        <td>
                        <div align="center">
                            <center>
                            <table border="0" style="border-collapse: collapse" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td height="40" colspan="2">
                                        <p class="heading" align="center">VADV-PHP Configuration</p>
                                    </td>
                                </tr>
                                <tr>
                                    <td height="40" colspan="2">
                                        <p align="center" class="footer">
                                        <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br />
                                        <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" height="25"></td>
                                </tr>
                                <form name="vadvphp" method="post" action="vconfig_vadv-php_process.php">
                                    <input type="hidden" name="process" value="1">
                                    <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Required VADV-PHP Settings</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('telnet')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> BBS Telnet Address:</td>
                                        <td><input type="text" name="telnet" size="40" value="<?php print $CONFIG['telnet']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('hostname')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Hostname (If Required):</td>
                                        <td><input type="text" name="hostname" size="40" value="<?php print $CONFIG['hostname']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('filehost')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> File Hostname (If Required):</td>
                                        <td><input type="text" name="filehost" size="40" value="<?php print $CONFIG['filehost']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('bbsdir')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> BBS Directory:</td>
                                        <td><input type="text" name="bbsdir" size="40" value="<?php print $CONFIG['bbsdir']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('webmaster')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Webmaster Email:</td>
                                        <td><input type="text" name="webmaster" size="40" value="<?php print $CONFIG['webmaster']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Default User Settings</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('guestacct')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Guest Account Number (Optional):</td>
                                        <td><input type="text" name="guestacct" size="3" maxlength="3" value="<?php print $CONFIG['guestacct']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('usersl')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Web User Security Level:</td>
                                        <td><input type="text" name="usersl" size="3" maxlength="3" value="<?php print $CONFIG['usersl']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('useraccflags')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Web User Access Flags:</td>
                                        <td><input type="text" name="useraccflags" size="26" maxlength="26" value="<?php print $CONFIG['useraccflags']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('userage')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Web User Age:</td>
                                        <td><input type="text" name="userage" size="2" maxlength="2" value="<?php print $CONFIG['userage']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Other VADV-PHP Settings</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('purgetime')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> User Account Purge Time (Days):</td>
                                        <td><input type="text" name="purgetime" size="5" maxlength="5" value="<?php print $CONFIG['purgetime']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('purgeminlevel')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Purge Minimum Security Level:</td>
                                        <td><input type="text" name="purgeminlevel" size="3" maxlength="3" value="<?php print $CONFIG['purgeminlevel']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('purgemaxlevel')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Purge Maximum Security Level:</td>
                                        <td><input type="text" name="purgemaxlevel" size="3" maxlength="3" value="<?php print $CONFIG['purgemaxlevel']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('newuserreq')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Required New User Information:</td>
                                        <td><input type="text" name="newuserreq" size="5" maxlength="5" value="<?php print $CONFIG['newuserreq']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('banned')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Banned Account Numbers:</td>
                                        <td><input type="text" name="banned" size="40" value="<?php if ($CONFIG['guestacct'] > 0) {print substr($CONFIG['banned'], (strlen($CONFIG['guestacct']) + 1));} else {print $CONFIG['banned'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('refresh')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Page Refresh (Seconds):</td>
                                        <td><input type="text" name="refresh" size="3" maxlength="3" value="<?php print $CONFIG['refresh']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('cookielife')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> Cookie Life (Days):</td>
                                        <td><input type="text" name="cookielife" size="3" maxlength="3" value="<?php print $CONFIG['cookielife']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('fileupload')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> File Uploads (0=Off, 1=On):</td>
                                        <td><input type="text" name="fileupload" size="1" maxlength="1" value="<?php print $CONFIG['fileupload']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre"><a href="Javascript:HelpWindow('fileuploadsl')"><img border="0" src="../images/help.gif" alt="Help" width="15" height="15" align="middle"></a> File Uploads Security Level:</td>
                                        <td><input type="text" name="fileuploadsl" size="3" maxlength="3" value="<?php print $CONFIG['fileuploadsl']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre" colspan="2">
                                            <p align="center">
                                            <input type="submit" value="Apply" name="submit">
                                            <input type="reset" value="Reset" name="submit">
                                            <input type="submit" value="Cancel" name="submit">
                                            </p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td height="40" colspan="2">
                                            <p align="center" class="footer">
                                            <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br />
                                            <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                            </p>
                                        </td>
                                    </tr>
                                </form>
                            </table>
                            </center>
                        </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
